Bug 202382 - Yumex will not start with sudo
Yumex will not start with sudo
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-13 21:29 EDT by jrrobbins
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 03:26:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of "sudo yumex" (320 bytes, text/plain)
2006-08-13 21:29 EDT, jrrobbins
no flags Details

  None (edit)
Description jrrobbins 2006-08-13 21:29:45 EDT
Description of problem:
When one uses sudo to launch Yumex, an error message is given (attached).


Version-Release number of selected component (if applicable):
How reproducible:
1.0.2

Steps to Reproduce:
1. Run "sudo yumex"
Comment 1 jrrobbins 2006-08-13 21:29:52 EDT
Created attachment 134112 [details]
Output of "sudo yumex"
Comment 2 Tim Lauridsen 2006-08-14 03:26:20 EDT
yumex uses consolehelper to get a dialog prompting for the root password.
So /usr/bin/yumex is just a link to /usr/bin/consolehelper. Like most of the
system-config tools.
if you run a consolehelper appl with sudo, you will get the

Xlibb: connection to ":0.0" refused by server
Xlib: No protocol specified

error.

Just run 'yumex' and you will be asked for the root password.

if you want to use sudo to start yumex, you have to type.
sudo /usr/share/yumex/yumex


Note You need to log in before you can comment on or make changes to this bug.